Creates a conversationAsk AIpost https://public-api.production.liveswitch.com/v1/conversationsRequired scope: conversations.writeBody ParamscontactIduuid | nullThe ID of the Contact record this Conversation will be associated with; if set and valid, the phone number will be ignored. If set and invalid, throws an error. If the contact exists, it will NOT be updated.phonestring | nullThe Phone of the Contact record this Conversation will be associated with; if set, the phone number will be looked up and if a Contact exists with that number, that Contact will be utilized. If the phone number does NOT exist, a new contact will be created using the specified number. If the contact exists, it will NOT be updated.emailstring | nullThe Email of the Contact record this Conversation will be associated with if it is created.firstNamestring | nullThe FirstName of the Contact record this Conversation will be associated with if it is created.lastNamestring | nullThe LastName of the Contact record this Conversation will be associated with if it is created.messagestring | nullThe contents of the text message the user will receive.namestring | nullOptional name/title for the conversation. For StartRecording, this becomes the session name. For TakePhotos, this becomes the photo session name.typestringenumrequiredRepresents the type of ConversationLiveConversationRecordingRequestStartRecordingTakePhotosAllowed:LiveConversationRecordingRequestStartRecordingTakePhotostagsarray of strings | nullOptional. Array of tag names to assign to the project. Tags will be auto-created if they don't exist.tagsADD stringautoStartRecordingbooleanThis only applies to LiveConversationtruefalsesendSmsNotificationbooleanWhen set to false, the user is not sent a text message invite to the Conversation.truefalseprojectIdstring | nullOptional. The id of a project to associate the conversation with. If specified, will link this session into the specified project. If this value is provided then ProjectExternalId will be ignored.projectExternalIdstring | nullOptional. The external id of a project to associate this conversation with. If specified, will link this session into the specified project. See LiveSwitch.Integration.Api.Models.v1.Conversation.ConversationCreateRequestDto.ProjectAutoCreate for more.projectAutoCreatebooleanOptional, default false. If this value is true, and no project with the specified ProjectExternalId exists, a project will be created using the ProjectExternalId and ProjectName. If this value is true, ProjectExternalId is required. If this value is false, and the ProjectExternalId is specified but does not exist, the request will fail and no data will be modified.truefalseprojectNamestring | nullOptional, default empty. Only used if ProjectAutoCreate is true, and no project with a matching ProjectExternalId was found. If not specified, will auto-generate a name using the pattern "Project [project external id]". Note that project names must be unique.attributesarray of objects | nullOptional attributes to set on the conversation. Use either attributeId or attributeGroupName+attributeName.attributesADD objectResponse 200SuccessUpdated 6 months ago